import { AnchoredRadialSeries } from "./AnchoredRadialSeries";
import { IFastItemColumn$1 } from "igniteui-angular-core";
import { Type, Point } from "igniteui-angular-core";
import { Series } from "./Series";
import { LegendEmptyValuesMode } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Pool$1 } from "igniteui-angular-core";
import { Path } from "igniteui-angular-core";
import { CollisionGeometry } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { RadialFrame } from "./RadialFrame";
import { RadialBaseView } from "./RadialBaseView";
import { SeriesPointOfInterest } from "./SeriesPointOfInterest";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { AnchoredRadialSeriesView } from "./AnchoredRadialSeriesView";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class RadialPieSeries extends AnchoredRadialSeries {
    static $t: Type;
    protected bk(): Series;
    protected get_fo(): boolean;
    protected get_fm(): boolean;
    protected jn(): number;
    protected ct(): SeriesView;
    q7(a: SeriesView): void;
    adz: RadialPieSeriesView;
    constructor();
    ad5: number;
    ad6: number;
    private ad0;
    get ad1(): IFastItemColumn$1<any>;
    set ad1(a: IFastItemColumn$1<any>);
    private ad7;
    get aea(): string;
    set aea(a: string);
    private adx;
    get ady(): LegendEmptyValuesMode;
    set ady(a: LegendEmptyValuesMode);
    private ad3;
    get ad4(): boolean;
    set ad4(a: boolean);
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    pb(a: boolean, b: SeriesView): void;
    iy(): number;
    ar(a: number, b: number): CollisionGeometry;
    protected get_ef(): boolean;
    protected get_aco(): boolean;
    protected get_aci(): boolean;
    iq(): number;
    abk(a: RadialFrame, b: RadialBaseView): void;
    private aef;
    private aek;
    private aej;
    private ad2;
    private aei;
    protected rg(a: any, b: string, c: any, d: any): void;
    wx(a: Point): Rect;
    protected ky(a: number): any;
    ed(a: List$1<SeriesPointOfInterest>, b: boolean, c: boolean, d: number, e: boolean): boolean;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    qa(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class RadialPieSeriesView extends AnchoredRadialSeriesView {
    static $t: Type;
    protected di: RadialPieSeries;
    constructor(a: RadialPieSeries);
    dj: Pool$1<Path>;
    a4(): void;
    protected dk: List$1<Path>;
    dr(): Path;
    dl(a: Path): void;
    dn(a: Path): void;
    dm(a: Path): void;
    protected bs(a: any, b: number): void;
    protected ak(a: number): any;
    private dq;
    protected aj(a: number): any;
    protected bj(a: RenderingContext, b: boolean): void;
    dp(): void;
    ax(a: any): void;
}
